/*
 * JsonRPCv1RequestObject.java
 *
 * Copyright 2014 the Monache.org.
 * http://www.monache.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.monache.lib.jsonrpc;

/**
 * 
 * 
 * @author monache.org
 * @since 
 */
public class JsonRPCv1RequestObject {
	
	private String method = null;
	private Object params = null;
	private String id = null;
	/**
	 * @return method
	 * @since 1.0
	 */
	public String getMethod() {
		return method;
	}
	/**
	 * @param method セットする method
	 * @since 1.0
	 */
	public void setMethod(String method) {
		this.method = method;
	}
	/**
	 * @return params
	 * @since 1.0
	 */
	public Object getParams() {
		return params;
	}
	/**
	 * @param params セットする params
	 * @since 1.0
	 */
	public void setParams(Object params) {
		this.params = params;
	}
	/**
	 * @return id
	 * @since 1.0
	 */
	public String getId() {
		return id;
	}
	/**
	 * @param id セットする id
	 * @since 1.0
	 */
	public void setId(String id) {
		this.id = id;
	}
	
	
}
